/**
 * @(#)file    SheetTD.java
 * @(#)author  [개발자명]
 * @(#)version 1.0
 * @(#)date    May 10, 2007
 * @(#)since   JDK 1.4.2
 *
 * Copyright (c) www.hwenc.co.kr, Inc.
 * All rights reserved.
 * This software is the proprietary information of Hanwha E&C, Inc.
 */
package kr.co.udapsoft.common.sheet;

import kr.co.hsnc.common.util.ValueObject;

public class SheetTD {

	/**
	 * Sheet조회 XML의 'TD'Tag Index 
	 */
	public int tdIndex = 0;
	
	/**
	 * 빈값처리 여부
	 * ex> <TD></TD>
	 */
	public boolean isBlankValue = false;
	
	/**
	 * isBlankValue = true 일때 사용
	 * RowSet의 'rowSetColumnIndex'의 값을 'TD'Tag안에 값으로 출력
	 */
	public int rowSetColumnIndex = 0;

	/**
	 * isBlankValue = true 일때 사용
	 * 사용할 RowSet지정하여 값을 'TD'Tag안에 값으로 출력
	 */
	public String rowSetKey = "";
	
	/**
	 * 화페 단위별 Format을 지정
	 * ""  : 없음
	 * KRW : 원화
	 * USD : 미국
	 * EUR : 유로
	 * JPY : 일본
	 * SAR : 사우디
	 */
	public String currencyType = "";
	
	private ValueObject attr = null;
	
	/**
	 * 생성자
	 */
	public SheetTD() {
		this.attr = new ValueObject();
	}
	
	
	/**
	 * Sheet조회 XML의 'TD'Tag Index(순서)를 String으로 변환 출력
	 * @return
	 */
	public String getTDIndex() {
		return ("" + this.tdIndex);
	}
	
	/**
	 * Sheet조회 XML의 'TD'Tag의 속성을 지정
	 * @param key
	 * @param value
	 */
	public void setAttribute(String key, String value) {
		this.attr.set(key, value);
	}

	/**
	 * Sheet조회 XML의 'TD'Tag의 key에 대당하는 속성을 리턴
	 * @param key
	 * @return
	 */
	public String getAttribute(String key) {
		return this.attr.get(key);
	}

	/**
	 * Sheet조회 XML의 'TD'Tag의 속성 전체 리턴
	 * @return
	 */
	public ValueObject getAttributes() {
		return this.attr;
	}
}
